Bug 1255115 - KDE install; install meld; Cannot import: GTK+;No module named gi
KDE install; install meld; Cannot import: GTK+;No module named gi
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: meld (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 12:52 EDT by Ronald L Humble
Modified: 2016-12-19 08:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-19 08:15:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronald L Humble 2015-08-19 12:52:33 EDT
Description of problem: meld fails to run 


Version-Release number of selected component (if applicable):
meld-3.14.0-1.fc23.noarch

How reproducible:


Steps to Reproduce:
1. net install of Fedora 23 KDE Workstation
2. dnf install meld
3. run "meld fileA fileB" -> fails

Actual results:
Cannot import: GTK+
No module named gi

Expected results:
correct execution and GUI displays

Additional info:
Install of pygobject2-2.28.6-14.fc23.x86_64 seems to have fixed the problem. Missing dependency in meld rpm?
Comment 1 Joachim Frieben 2015-09-09 03:39:42 EDT
For a Fedora 23 GNOME box, I obtain the same error message despite pygobject2-2.28.6-14.fc23 being installed.
Comment 2 Joachim Frieben 2015-09-09 03:46:15 EDT
The issue is resolved by installing package python-gobject which should thus be added to the packages required by meld.
Comment 3 Joachim Frieben 2015-10-01 04:51:03 EDT
Bug is fixed in meld-3.14.0-2.fc23.
Comment 4 Fedora End Of Life 2016-11-24 07:20:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.